Cómo solucionar un error al actualizar en Cydia

Recientemente, muchos usuarios se han quejado de errores al actualizar la lista de tweaks en Cydia. La última vez que hubo un gran pico de actividad en la tienda de tweaks fue tras la aparición de la utilidad de jailbreak Evasi0n. En ese momento, al intentar actualizar la base de datos de tweaks, se podían ver errores «HTTP/1.1 404 no encontrado» и «Hash Sum mismatch». Sin embargo, la situación de Cydia se ha estabilizado,

Al actualizar, es posible encontrarse con los problemas descritos en el siguiente mensaje: «wow, has excedido el número de nombres de paquetes que este APT es capaz de«.

Este error se debe únicamente a las características técnicas del propio Cydia. La utilidad es capaz de manejar hasta 60.000 paquetes con ajustes y extensiones. Este límite fue establecido por el desarrollador tras un recuento aproximado de los tweaks en los repositorios estándar, pero recientemente han empezado a aparecer sitios de terceros con tweaks hackeados o modificados. Estos exceden el límite de paquetes en Cydia. Por lo tanto, para deshacerse de dicho error, debe eliminar 1-2 repositorios piratas innecesarios.

Para ello, vaya a Cydia, haga clic en la pestaña Gestionar -> Fuentes -> Editar. De la lista de repositorios, simplemente elimine las fuentes innecesarias. Asegúrese de mantener el estándar BigBoss, Dev Team, ModMyI y ZodTTD. El error de actualización desaparecerá después de eso.

Lea también:
¿Qué son los repositorios y por qué son necesarios?
Descripción detallada de Cydia.
Qué hacer después de jailbreakear el iPhone y el iPad.